namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "prevent_foes_exit_effect")]
public class PreventFoesExitEffect : Script, IScriptPreventOpponentSwitch, IScriptPreventOpponentRunAway
{
    /// <inheritdoc />
    public void PreventOpponentSwitch(ISwitchChoice choice, ref bool prevent)
    {
        prevent = true;
    }

    /// <inheritdoc />
    public void PreventOpponentRunAway(IFleeChoice choice, ref bool prevent)
    {
        prevent = true;
    }
}